<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>this</title>
</head>
<body>
<script>
    function add(number) {
        return this.value + number;
    }
    var one = {value: 1, add: add};
    var two = {value: 2, add: add};
    console.log(one.add(40)); // 41
    console.log(two.add(50)); // 52
</script>
</body>
</html>